Package weka.core.pmml.jaxbbindings

# Class TimeAnchor

java.lang.Object
weka.core.pmml.jaxbbindings.TimeAnchor

public class TimeAnchor extends Object

Java class for TimeAnchor element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TimeAnchor">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}TimeCycle" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TimeException" maxOccurs="2" minOccurs="0"/>
             </sequence>
             <attribute name="displayName" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
             <attribute name="offset" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="stepsize" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="type" type="{http://www.dmg.org/PMML-4_1}TIME-ANCHOR" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeAnchor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Gets the value of the displayName property.
  `BigInteger`
  `getOffset()`
  Gets the value of the offset property.
  `BigInteger`
  `getStepsize()`
  Gets the value of the stepsize property.
  `List<TimeCycle>`
  `getTimeCycle()`
  Gets the value of the timeCycle property.
  `List<TimeException>`
  `getTimeException()`
  Gets the value of the timeException property.
  `TIMEANCHOR2`
  `getType()`
  Gets the value of the type property.
  `void`
  `setDisplayName(String value)`
  Sets the value of the displayName property.
  `void`
  `setOffset(BigInteger value)`
  Sets the value of the offset property.
  `void`
  `setStepsize(BigInteger value)`
  Sets the value of the stepsize property.
  `void`
  `setType(TIMEANCHOR2 value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeAnchor

    public TimeAnchor()

- ## Method Details

  - ### getTimeCycle

    public List<TimeCycle> getTimeCycle()
    Gets the value of the timeCycle property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the timeCycle property.

    For example, to add a new item, do as follows:

            getTimeCycle().add(newItem);

    Objects of the following type(s) are allowed in the list `TimeCycle`

  - ### getTimeException

    public List<TimeException> getTimeException()
    Gets the value of the timeException property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the timeException property.

    For example, to add a new item, do as follows:

            getTimeException().add(newItem);

    Objects of the following type(s) are allowed in the list `TimeException`

  - ### getDisplayName

    public String getDisplayName()
    Gets the value of the displayName property.
    Returns:
      possible object is `String`

  - ### setDisplayName

    public void setDisplayName(String value)
    Sets the value of the displayName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOffset

    public BigInteger getOffset()
    Gets the value of the offset property.
    Returns:
      possible object is `BigInteger`

  - ### setOffset

    public void setOffset(BigInteger value)
    Sets the value of the offset property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getStepsize

    public BigInteger getStepsize()
    Gets the value of the stepsize property.
    Returns:
      possible object is `BigInteger`

  - ### setStepsize

    public void setStepsize(BigInteger value)
    Sets the value of the stepsize property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getType

    public TIMEANCHOR2 getType()
    Gets the value of the type property.
    Returns:
      possible object is `TIMEANCHOR`

  - ### setType

    public void setType(TIMEANCHOR2 value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `TIMEANCHOR`